//Includes the Arduino Stepper Library
#include <Stepper.h>

// Defines the number of steps per rotation
const int stepsPerRevolution = 4076;

// Creates an instance of stepper class
// Pins entered in sequence IN1-IN3-IN2-IN4 for proper step sequence
Stepper leftStepper = Stepper(stepsPerRevolution, 2, 4, 3, 5);
Stepper rightStepper = Stepper(stepsPerRevolution, 6, 8, 7, 9);


void setup() {
    // Nothing to do (Stepper Library sets pins as outputs)
}

void loop() {
	// Rotate CW slowly at 5 RPM
	leftStepper.setSpeed(5);
  rightStepper.setSpeed(5);
	leftStepper.step(stepsPerRevolution);
  rightStepper.step(stepsPerRevolution);
	delay(1000);
	
	// Rotate CCW quickly at 10 RPM
	leftStepper.setSpeed(5);
  rightStepper.setSpeed(5);
	leftStepper.step(-stepsPerRevolution);
  rightStepper.step(-stepsPerRevolution);
	delay(1000);
}